Subject: [bug#40145] [PATCH] gnu: Add squid.

From: Vincent Legoll <[email-masked]>
Date: Fri, 20 Mar 2020 18:35:36 +0100

Hello,

On Fri, Mar 20, 2020 at 6:25 PM Marius Bakke <[email-masked]> wrote:
>
> Vincent Legoll <[email-masked]> writes:
>
> > The attached patch adds squid caching proxy so that we can
> > all start saving precious network bandwidth.
>
> Nice, about time!  :-)

Necessity is the mother of...

> > There's no shepherd ready to run service &
> > config definitions, as I still don't know how
> > to do that.
> >
> > I'll try to create one, if no one beats me to
> > it, but it may already be useful as-is...
>
> Writing services may seem intimidating at first, but is
> > actually easier
> than it looks.  I think you'll figure it out fairly quickly.  :-)

Currently reading the doc...

> > From 24a81038d315a4bf757eca590c53a16eac005879 Mon Sep 17 00:00:00 2001
> > From: Vincent Legoll <[email-masked]>
> > Date: Fri, 20 Mar 2020 11:45:11 +0100
> > Subject: [PATCH] gnu: Add squid.
> >
> > * gnu/packages/networking.scm (squid): New variable.
>
> [...]
>
> > +;  #:use-module (gnu packages cppunit)
>
> I dropped this leftover from the patch.

oopsie, I let this one slip, usually I proof-read before sending,
looks like I was in a hurry...

> [...]
>
> > +    (inputs
> > +     `(("perl" ,perl)
> > +       ("openldap" ,openldap)
> > +       ("linux-pam" ,linux-pam)
> > +       ("libcap" ,libcap)
> > +       ("cyrus-sasl" ,cyrus-sasl)
> > +       ("expat" ,expat)
> > +       ("libxml2" ,libxml2)
> > +       ("openssl" ,openssl)))
> > +    (native-inputs
> > +     `(("cppunit" ,cppunit)
> > +       ("coreutils" ,coreutils) ; test suite needs /bin/true
>
> coreutils is already implicitly available, so I removed this input.

OK

> The license is actually GPL2+ according to the source code
> headers.
>
> Applied with these changes, thank you!

Thanks for the fixes !

-- 
Vincent Legoll